{% extends 'base.html.twig' %}

{% block body -%}
<main class='main-content bgc-grey-100'>
    <div id='mainContent'>
    <h1>Mikrotik - {{ isEditing ? 'modifica' : 'creazione' }} lista</h1>

    {{ form_start(main_form) }}
    {{ form_errors(main_form) }}
    {{ form_row(main_form.mikrotik) }}
    {{ form_row(main_form.nome) }}
    {{ form_rest(main_form) }}

    <div class="row sendBtnArea">
        <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center">
            <button type="submit" class="btn btn-success">Salva modifiche alla lista IP</button>
        </div>
        <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-center">
            <a href="{{ path('mikrotik_list') }}" class="btn btn-info">
                Ritorna alla lista
            </a>
        </div>
        <div class="col-lg-4 mb-2 d-grid gap-2 d-lg-flex align-items-center justify-content-lg-end">
            {% if isEditing %}
            <a href="{{ path('mikrotik_list_delete', { 'id': entity.id }) }}" class="btn btn-danger" onclick="return confirm('Sei sicuro di voler eliminare questo elemento?')">
                Rimuovi questa lista IP</a>
            {% endif %}
        </div>
    </div>
    </div>
</main>
{% endblock %}
